#ifndef __IIC_H
#define __IIC_H
#include "sys.h"

#define SDA_IN() {GPIOB->MODER&=~(3<<(6*2));GPIOB->MODER|=0<<6*2;}  //PB9输入模式
#define SDA_OUT() {GPIOB->MODER&=~(3<<(6*2));GPIOB->MODER|=1<<6*2;}  //PB9输出模式

#define IIC_SCL PBout(7)   //SCL
#define IIC_SDA PBout(6)   //SDA

#define READ_SDA PBin(6)   //输入SDA

void IIC_Init(void); //IIC初始化函数
void IIC_Start(void); //产生IIC起始信号
void IIC_Stop(void); //产生IIC停止信号
u8 IIC_Wait_Ack(void);//等待应答信号
void IIC_Ack(void); //产生应答信号
void IIC_No_Ack(void); //不产生应答信号

void IIC_Send_Byte(u8 dat); //发送一个字节
u8 IIC_Read_Byte(u8 ack); //读取一个字节







#endif



